% Tim Wright
% 2005.12.15
% Program to analyze data capture timing from the 2005.12.15 LabVIEW group presentation

function TestTime(AbsTime, t);

D = diff(AbsTime) - t;
figure
plot(D/t);

Inst = length(find(D>(t-0.001)));
Miss = sum(D(find(D>0.001)))/t;
Per = Miss/(length(AbsTime)+Miss)*100;
InstMax = max(D)/t;

disp('Num Instances => ')
disp(Inst)
disp('Pulses Missed => ')
disp(Miss)
disp('Instance Max => ')
disp(InstMax)
disp('Percentage => ')
disp(Per)