% Tim Wright
% 2005.12.15
% Program to read data capture timing from the 2005.12.15 LabVIEW group presentation

function AbsTime = ReadTime(FileName, N, points);

if nargin < 2
    AbsTime = zeros(1, 1);
else
    AbsTime = zeros(N, 1);
end

if nargin < 3
    points = 10000;
end

fid = fopen(FileName, 'r', 'b');

i = 1;
while ~feof(fid)

    temp = fread(fid, 1, 'double');
    if ~isempty(temp)
        if mod(i, 1000) == 0
            disp(i)
        end
        AbsTime(i) = temp;
%        Sig = fread(fid, points, 'double');        % Use this line for Example 1
        Sig = fread(fid, points, 'int16');          % Use this line for all other examples
        i = i + 1;
    end

end

fclose(fid);
